Bug 497422 - Resume from Suspend fails on IBM X22
Resume from Suspend fails on IBM X22
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 16:30 EDT by Nik Tripp
Modified: 2010-06-28 08:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nik Tripp 2009-04-23 16:30:47 EDT
Description of problem:
Resuming from suspend to ram fails. Video appears garbled (not recognizable but mostly solid blocks of blue). Computer is not responsive and cannot be switched to virtual terminals, shutdown gracefully using power button, restarted with CTRL+ALT+DEL and X cannot be exited with CTRL+BACKSPACE. This occurs on an IBM X22 with ATI radeon m6 ly.


Version-Release number of selected component (if applicable):
pm-utils-1.2.5-1.fc11
hal-0.5.12-26.20090226git.fc11
hal-info-20090414-1.fc11
gnome-power-manager-2.26.0-1.fc11
vbetool-1.1-3.fc11
radeontool-1.5-5.fc11
hdparm-9.12-1.fc11

Linux ntinstall 2.6.29.1-102.fc11.i686.PAE #1 SMP Mon Apr 20 15:30:47 EDT 2009 i686 i686 i386 GNU/Linux

How reproducible: Suspend laptop, then resume.


Steps to Reproduce:
1.Start computer.
2.Suspend.
3.Attempt resume.
  
Actual results:
Fails to resume. Garbled video and unresponsive.

Expected results:
Resume. Desktop appears and can be used as normal.

Additional info:
pm-utils-bugreport-info.sh 
SUSPEND LOG
Initial commandline parameters: 
Thu Apr 23 10:36:40 EDT 2009: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-radeon-off --quirk-s3-bios --quirk-s3-mode 
success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux ntinstall 2.6.29.1-102.fc11.i686.PAE #1 SMP Mon Apr 20 15:30:47 EDT 2009 i686 i686 i386 GNU/Linux
Module                  Size  Used by
fuse                   49832  2 
sco                     9368  2 
bridge                 41532  0 
stp                     1948  1 bridge
llc                     4788  2 bridge,stp
bnep                   10916  2 
l2cap                  18936  3 bnep
bluetooth              44792  5 sco,bnep,l2cap
sunrpc                152800  1 
ip6t_REJECT             3160  2 
nf_conntrack_ipv6      11372  2 
ip6table_filter         3132  1 
ip6_tables             10692  1 ip6table_filter
ipv6                  233584  24 ip6t_REJECT,nf_conntrack_ipv6
dm_multipath           13520  0 
uinput                  6540  0 
ppdev                   6352  0 
thinkpad_acpi          53924  0 
hwmon                   2148  1 thinkpad_acpi
snd_intel8x0           27440  2 
snd_ac97_codec         91596  1 snd_intel8x0
ac97_bus                1400  1 snd_ac97_codec
snd_pcm                62672  2 snd_intel8x0,snd_ac97_codec
snd_timer              17888  1 snd_pcm
pcspkr                  2156  0 
snd                    49056  8 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
soundcore               5404  1 snd
iTCO_wdt               10464  0 
iTCO_vendor_support     2736  1 iTCO_wdt
snd_page_alloc          7644  2 snd_intel8x0,snd_pcm
firewire_ohci          19572  0 
e100                   28448  0 
i2c_i801                8060  0 
mii                     4028  1 e100
firewire_core          36548  1 firewire_ohci
yenta_socket           21400  3 
crc_itu_t               1580  1 firewire_core
rsrc_nonstatic          9784  1 yenta_socket
parport_pc             22216  0 
video                  17376  0 
output                  2364  1 video
parport                28524  2 ppdev,parport_pc
irda                   94704  0 
crc_ccitt               1588  1 irda
ata_generic             4264  0 
pata_acpi               3620  0 
radeon                482560  1 
drm                   166220  1 radeon
i2c_algo_bit            4804  1 radeon
i2c_core               18016  4 i2c_i801,radeon,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:        639148     319212     319936          0      31692     137460
-/+ buffers/cache:     150060     489088
Swap:      1277944          0    1277944
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: /usr/lib/pm-utils/sleep.d/98smart-kernel-video: line 37: add_parameter: command not found
not applicable.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: saving level 128 for device sda
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Thu Apr 23 10:36:55 EDT 2009: performing suspend
Thu Apr 23 10:53:11 EDT 2009: Awake.
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Apr 23 16:25 disk
-rw-r--r--. 1 root root 4096 Apr 23 16:25 image_size
-rw-r--r--. 1 root root 4096 Apr 23 16:25 pm_test
-rw-r--r--. 1 root root 4096 Apr 23 16:25 pm_trace
-rw-r--r--. 1 root root 4096 Apr 23 16:25 resume
-rw-r--r--. 1 root root 4096 Apr 23 16:25 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.radeon_off = true  (bool)
  power_management.quirk.s3_bios = true  (bool)
  power_management.quirk.s3_mode = true  (bool)
  system.firmware.version = '1DET70WW (1.32 )'  (string)
  system.hardware.product = '266275J'  (string)
  system.hardware.vendor = 'IBM'  (string)
  system.hardware.version = 'Not Available'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Apr 14 05:45 config.d
drwxr-xr-x. 2 root root 4096 Apr 14 05:45 power.d
drwxr-xr-x. 2 root root 4096 Apr 14 05:45 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux ntinstall 2.6.29.1-102.fc11.i686.PAE #1 SMP Mon Apr 20 15:30:47 EDT 2009 i686 i686 i386 GNU/Linux
======
RPM
package kernel is not installed
pm-utils-1.2.5-1.fc11
hal-0.5.12-26.20090226git.fc11
hal-info-20090414-1.fc11
gnome-power-manager-2.26.0-1.fc11
vbetool-1.1-3.fc11
radeontool-1.5-5.fc11
hdparm-9.12-1.fc11
======
FEDORA RELEASE
Fedora release 10.92 (Rawhide)
======
Comment 1 Bug Zapper 2009-06-09 10:29:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:54:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 08:11:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.